Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1877930 - [BM IPI] Cluster reports upgrade in progress after restoring to previous state after upgrade
Summary: [BM IPI] Cluster reports upgrade in progress after restoring to previous stat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Suresh Kolichala
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1837540
Blocks: 1877965
TreeView+ depends on / blocked
 
Reported: 2020-09-10 19:22 UTC by OpenShift BugZilla Robot
Modified: 2020-10-12 15:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: On restore, the latest image was used for bringing up the restore pod. Consequence: The mismatch with the version and database can create issues. Fix: On restore, also restore pod yaml copied at the time of the backup. Result: The restore succeeds without any hiccups.
Clone Of:
Environment:
Last Closed: 2020-10-12 15:47:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 442 0 None closed [release-4.5] Bug 1877930: Use restore pod yaml from the backup when restoring 2021-01-21 10:56:26 UTC
Red Hat Product Errata RHBA-2020:3843 0 None None None 2020-10-12 15:48:20 UTC

Comment 8 RamaKasturi 2020-10-08 09:13:39 UTC
Unfortunately comment has been added twice, please ignore one of them as it is the same, thanks !!

Comment 10 errata-xmlrpc 2020-10-12 15:47:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3843


Note You need to log in before you can comment on or make changes to this bug.